Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Expressions.FunctionalExpression<X>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<X>
              org.apache.openjpa.persistence.criteria.Expressions.FunctionalExpression<X>

Type Parameters:
  `X` - the type of the resultant expression

All Implemented Interfaces:
  Expression<X>, Selection<X>, TupleElement<X>, CriteriaExpression

Direct Known Subclasses:
  Expressions.DatabaseFunction

Enclosing class:
  Expressions

    public abstract static class Expressions.FunctionalExpression<X>

extends ExpressionImpl<X>

Functional Expression applies a function on a list of input Expressions.

Field Summary
`protected ExpressionImpl<?>[]` | `args`

Constructor Summary
`Expressions.FunctionalExpression(Class<X> t, Expression<?>... args)` Supply the resultant type and list of input operand expressions.

Method Summary
`void` | `acceptVisit(CriteriaExpressionVisitor visitor)` Accept visit from the given visitor.

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull, toKernelExpression, toValue`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, asValue, asVariable, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Field Detail

### args

    protected final ExpressionImpl<?>[] args

Constructor Detail

### Expressions.FunctionalExpression

    public Expressions.FunctionalExpression(Class<X> t,
                                            Expression<?>... args)

  Supply the resultant type and list of input operand expressions.

Method Detail

### acceptVisit

    public void acceptVisit(CriteriaExpressionVisitor visitor)

  Description copied from interface: `CriteriaExpression`
  Accept visit from the given visitor. The receiver is responsible to propagate the visitor to the constituent sub-nodes if any.

  Specified by:
    `acceptVisit` in interface `CriteriaExpression`
  Overrides:
    `acceptVisit` in class `SelectionImpl<X>`
  Parameters:
    `visitor` - a processor to walk the nodes of a tree.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.